package me.unurled.sacredrealms.sr.commands.admin.cutscene;

import static me.unurled.srcore.utils.Component.NOT_PLAYER;
import static me.unurled.srcore.utils.Component.NO_PERMISSION;
import static me.unurled.srcore.utils.Component.textComp;

import io.papermc.paper.command.brigadier.BasicCommand;
import io.papermc.paper.command.brigadier.CommandSourceStack;
import java.util.Collection;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

public class ReplayCommand implements BasicCommand {

  @Override
  public void execute(@NotNull CommandSourceStack stack, String[] args) {
    if (!(stack.getSender() instanceof Player p)) {
      stack.getSender().sendMessage(textComp(NOT_PLAYER));
      return;
    }

    if (!p.hasPermission("sr.cutscene.replay")) {
      p.sendMessage(textComp(NO_PERMISSION));
    }

    // aaa
  }

  @Override
  public Collection<String> suggest(CommandSourceStack stack, String[] args) {
    return BasicCommand.super.suggest(stack, args);
  }
}
