package me.unurled.sacredrealms.sr.components.cutscene.recording;

import com.github.retrooper.packetevents.protocol.player.User;
import me.unurled.sacredrealms.sr.components.cutscene.Replay;

public abstract class Recordable {
  private long tick;

  public abstract void replay(Replay replay, User user) throws Exception;

  public long tick() {
    return tick;
  }

  public Recordable setTick(long tick) {
    this.tick = tick;
    return this;
  }
}
