package me.unurled.sacredrealms.sr.components.cutscene.recording.recordables;

import com.github.retrooper.packetevents.protocol.player.User;
import java.util.UUID;
import me.unurled.sacredrealms.sr.components.cutscene.Replay;
import me.unurled.sacredrealms.sr.components.cutscene.recording.Recordable;
import org.bukkit.Location;

public class LocationChangeRecordable extends Recordable {

  private UUID entityId;
  private Location location;

  public LocationChangeRecordable() {}

  public LocationChangeRecordable(UUID entityId, Location location) {
    this.entityId = entityId;
    this.location = location;
  }

  @Override
  public void replay(Replay replay, User user) throws Exception {}

  public UUID entityId() {
    return entityId;
  }

  public LocationChangeRecordable setEntityId(UUID entityId) {
    this.entityId = entityId;
    return this;
  }

  public Location location() {
    return location;
  }

  public LocationChangeRecordable setLocation(Location location) {
    this.location = location;
    return this;
  }
}
