package me.unurled.sacredrealms.sr.components.pointer;

import java.util.UUID;
import org.bukkit.Location;
import org.bukkit.entity.BlockDisplay;

public class Pointer {

  private final Location location;
  private final int entityId;
  private BlockDisplay display;
  private UUID entityUUID;
  private Location entityLocation;

  public Pointer(int entityId, Location location) {
    this.entityId = entityId;
    this.location = location;
  }

  public Location location() {
    return location;
  }

  public int entityId() {
    return entityId;
  }

  public BlockDisplay display() {
    return display;
  }

  public Pointer setDisplay(BlockDisplay display) {
    this.display = display;
    return this;
  }

  public UUID entityUUID() {
    return entityUUID;
  }

  public Pointer setEntityUUID(UUID entityUUID) {
    this.entityUUID = entityUUID;
    return this;
  }

  public Location entityLocation() {
    return entityLocation;
  }

  public Pointer setEntityLocation(Location entityLocation) {
    this.entityLocation = entityLocation;
    return this;
  }
}
